org.gnome.gtk

## Class ApplicationInhibitFlags

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.gtk.ApplicationInhibitFlags

-     public class ApplicationInhibitFlags
      extends org.freedesktop.bindings.Flag

  Type of user actions that may be blocked by
  Since:
    4.1.3
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ApplicationInhibitFlags` | `IDLE` Inhibit the session being marked as idle (and possibly locked).
    `static ApplicationInhibitFlags` | `LOGOUT` Inhibit ending the user session by logging out or by shutting down the computer.
    `static ApplicationInhibitFlags` | `SUSPEND` Inhibit suspending the session or computer.
    `static ApplicationInhibitFlags` | `SWITCH` Inhibit user switching.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationInhibitFlags` | `or(ApplicationInhibitFlags... flags)` Combines several flags to inhibit several user actions with one inhibitor.

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IDLE

          public static final ApplicationInhibitFlags IDLE

      Inhibit the session being marked as idle (and possibly locked).

    - #### LOGOUT

          public static final ApplicationInhibitFlags LOGOUT

      Inhibit ending the user session by logging out or by shutting down the computer.

    - #### SUSPEND

          public static final ApplicationInhibitFlags SUSPEND

      Inhibit suspending the session or computer.

    - #### SWITCH

          public static final ApplicationInhibitFlags SWITCH

      Inhibit user switching.

  - ### Method Detail

    - #### or

          public static ApplicationInhibitFlags or(ApplicationInhibitFlags... flags)

      Combines several flags to inhibit several user actions with one inhibitor.
      Since:
        4.1.3